Package org.kie.internal.builder.conf

## Enum PropertySpecificOption

- java.lang.Object
- - java.lang.Enum<PropertySpecificOption>
  - - org.kie.internal.builder.conf.PropertySpecificOption

- All Implemented Interfaces:
    `Serializable`, `Comparable<PropertySpecificOption>`, `org.kie.api.conf.Option`, `KnowledgeBuilderOption`, `SingleValueKnowledgeBuilderOption`

      public enum PropertySpecificOption
      extends Enum<PropertySpecificOption>
      implements SingleValueKnowledgeBuilderOption

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALLOWED` |
    `ALWAYS` |
    `DISABLED` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `PROPERTY_NAME` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getPropertyName()`
    `boolean` | `isAllowed()` |
    `boolean` | `isPropSpecific​(boolean hasPropSpecAnnotation, boolean hasNotPropSpecAnnotation)` |
    `static PropertySpecificOption` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static PropertySpecificOption[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DISABLED

          public static final PropertySpecificOption DISABLED

    - #### ALLOWED

          public static final PropertySpecificOption ALLOWED

    - #### ALWAYS

          public static final PropertySpecificOption ALWAYS

  - ### Field Detail

    - #### PROPERTY_NAME

          public static final String PROPERTY_NAME

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static PropertySpecificOption[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PropertySpecificOption c : PropertySpecificOption.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PropertySpecificOption valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getPropertyName

          public String getPropertyName()

      Specified by:
        `getPropertyName` in interface `org.kie.api.conf.Option`

    - #### isAllowed

          public boolean isAllowed()

    - #### isPropSpecific

          public boolean isPropSpecific​(boolean hasPropSpecAnnotation,
                                        boolean hasNotPropSpecAnnotation)